GETSNARF(3)

NAME
getsnarf, putsnarf - window system snarf (cut and paste) buffer

SYNOPSIS
#include <draw.h>

char    *getsnarf(void)

void    putsnarf(char *text)

DESCRIPTION
Getsnarf and putsnarf access the window system's snarf (cut and paste) buffer.

Getsnarf returns a copy of the current buffer; the returned pointer should be freed with free (see malloc((3))) when no longer needed.

Putsnarf sets the buffer to the text string text.

Callers should assume that the snarf buffer is UTF. If the window system does not keep the buffer in UTF, getsnarf and putsnarf will convert as necessary.

SOURCE
/src/libdraw/snarf.c

SEE ALSO
snarfer((1))